/Users/bernard/b20/bsoft/include/rwWAH.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwWAH.h - Header file for reading and writing Wayne Hendrickson coordinate files.

SYNOPSIS

#include 'rwmolecule.h'

  Functions
int readWAH (Bstring &filename, Bmolgroup *molgroup)
Reads a Wayne Hendrickson coordinate file.
int writeWAH (Bstring &filename, Bmolgroup *molgroup)
Writes a Wayne Hendrickson coordinate file.

Detailed Description

Header file for reading and writing Wayne Hendrickson coordinate files.

Author:
    Bernard Heymann

Date:
    Created: 20050217

    Modified: 20050217

    Format: Atomic coordinate file format for PROLSQ

Definition in file rwWAH.h.

Function Documentation

  int readWAH (Bstring & filename, Bmolgroup * molgroup)

Reads a Wayne Hendrickson coordinate file.

Parameters:
    &filename coordinate file name.
    *molgroup molecule group.

Returns:
    int number of molecules read (<0 if reading failed).

    WAH format:
    01234567890123456789012345678901234567890123456789012345678901234567890
       SER 1071CA     8.38771  32.21584 115.00745   0.00000   0.00000
       ARG 1072C     11.26685  34.89560 115.61476   0.00000   0.00000

Definition at line 28 of file rwWAH.cpp.

  int writeWAH (Bstring & filename, Bmolgroup * molgroup)

Writes a Wayne Hendrickson coordinate file.

Parameters:
    &filename coordinate file name.
    *molgroup molecule group.

Returns:
    int number of molecules written (<0 if writing failed).

    WAH format:
    01234567890123456789012345678901234567890123456789012345678901234567890
       SER 1071CA     8.38771  32.21584 115.00745   0.00000   0.00000
       ARG 1072C     11.26685  34.89560 115.61476   0.00000   0.00000

Definition at line 99 of file rwWAH.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.